Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.configuration.spring
Class SpringParameterControls

    java.lang.Object
      org.jbehave.core.steps.ParameterControls
          org.jbehave.core.configuration.spring.SpringParameterControls

    public class SpringParameterControls

extends ParameterControls

Extends `ParameterControls` to provide getter/setter methods for all control properties, so it can be used by Spring's property mechanism.

Field Summary

Fields inherited from class org.jbehave.core.steps.ParameterControls
`DEFAULT_NAME_DELIMITER_LEFT, DEFAULT_NAME_DELIMITER_RIGHT`

Constructor Summary
`SpringParameterControls()`

Method Summary
`String` | `getNameDelimiterLeft()`
`String` | `getNameDelimiterRight()`
`ParameterControls` | `setNameDelimiterLeft(String nameDelimiterLeft)`
`ParameterControls` | `setNameDelimiterRight(String nameDelimiterRight)`

Methods inherited from class org.jbehave.core.steps.ParameterControls
`delimiterNamedParameters, nameDelimiterLeft, nameDelimiterRight, toString, useDelimiterNamedParameters, useNameDelimiterLeft, useNameDelimiterRight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpringParameterControls

    public SpringParameterControls()

Method Detail

### getNameDelimiterLeft

    public String getNameDelimiterLeft()

### getNameDelimiterRight

    public String getNameDelimiterRight()

### setNameDelimiterLeft

    public ParameterControls setNameDelimiterLeft(String nameDelimiterLeft)

### setNameDelimiterRight

    public ParameterControls setNameDelimiterRight(String nameDelimiterRight)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.